package sz

import "time"

type TempHdHospital struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	InstType       string    `gorm:"column:inst_type" json:"inst_type"`
	DepartMentName string    `gorm:"column:depart_ment_name" json:"depart_ment_name"`
	AuthorizedBeds int64     `gorm:"column:authorized_beds" json:"authorized_beds"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	UpdateTime     time.Time `gorm:"column:update_time" json:"update_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdHospital) TableName() string {
	return "temp_hd_hospital"
}

type TempHdStaff struct {
	ID                           int64     `gorm:"column:id" json:"id"`
	HospitalId                   string    `gorm:"column:hospital_id" json:"hospital_id"`
	StaffId                      string    `gorm:"column:staff_id" json:"staff_id"`
	IdType                       string    `gorm:"column:id_type" json:"id_type"`
	IdNo                         string    `gorm:"column:id_no" json:"id_no"`
	StaffName                    string    `gorm:"column:staff_name" json:"staff_name"`
	Position                     string    `gorm:"column:position" json:"position"`
	TrainingName                 string    `gorm:"column:training_name" json:"training_name"`
	PracticeCertificate          string    `gorm:"column:practice_certificate" json:"practice_certificate"`
	PracticeCertificateNo        string    `gorm:"column:practice_certificate_no" json:"practice_certificate_no"`
	QualificationCertificate     string    `gorm:"column:qualification_certificate" json:"qualification_certificate"`
	QualificationType            string    `gorm:"column:qualification_type" json:"qualification_type"`
	DiplomaFile                  string    `gorm:"column:diploma_file" json:"diploma_file"`
	DegreeCertificateFile        string    `gorm:"column:degree_certificate_file" json:"degree_certificate_file"`
	TrainingCertificateFile      string    `gorm:"column:training_certificate_file" json:"training_certificate_file"`
	PracticeCertificateFile      string    `gorm:"column:practice_certificate_file" json:"practice_certificate_file"`
	QualificationCertificateFile string    `gorm:"column:qualification_certificate_file" json:"qualification_certificate_file"`
	Xgbz                         string    `gorm:"column:xgbz" json:"xgbz"`
	TrainingDate                 time.Time `gorm:"column:training_date" json:"training_date"`
	InDate                       time.Time `gorm:"column:in_date" json:"in_date"`
	OutDate                      time.Time `gorm:"column:out_date" json:"out_date"`
	CreateTime                   time.Time `gorm:"column:create_time" json:"create_time"`
	UpdateTime                   time.Time `gorm:"column:update_time" json:"update_time"`
	Sjscsj                       time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj                           string    `gorm:"column:mj" json:"mj"`
	Ylyl1                        string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2                        string    `gorm:"column:ylyl2" json:"ylyl2"`
	PermanentType                string    `gorm:"column:permanent_type" json:"permanent_type"`
}

func (TempHdStaff) TableName() string {
	return "temp_hd_staff"
}

type TempHdDm struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	EquipmentId    string    `gorm:"column:equipment_id" json:"equipment_id"`
	SickbedNo      string    `gorm:"column:sickbed_no" json:"sickbed_no"`
	EquipmentBrand string    `gorm:"column:equipment_brand" json:"equipment_brand"`
	EnableTime     time.Time `gorm:"column:enable_time" json:"enable_time"`
	DiscardedTime  time.Time `gorm:"column:discarded_time" json:"discarded_time"`
	Status         string    `gorm:"column:status" json:"status"`
	EquipmentType  string    `gorm:"column:equipment_type" json:"equipment_type"`
	Temperature    string    `gorm:"column:temperature" json:"temperature"`
	Pressure       string    `gorm:"column:pressure" json:"pressure"`
	PressureUnit   string    `gorm:"column:pressure_unit" json:"pressure_unit"`
	WorkingVoltage string    `gorm:"column:working_voltage" json:"working_voltage"`
	Xgbz           string    `gorm:"column:xgbz" json:"xgbz"`
	Bbp            string    `gorm:"column:bbp" json:"bbp"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	UpdateTime     time.Time `gorm:"column:update_time" json:"update_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdDm) TableName() string {
	return "temp_hd_dm"
}

type TempHdPatient struct {
	ID                int64     `gorm:"column:id" json:"id"`
	HospitalId        string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk         string    `gorm:"column:patient_nk" json:"patient_nk"`
	CardNo            string    `gorm:"column:card_no" json:"card_no"`
	CardType          string    `gorm:"column:card_type" json:"card_type"`
	IdNo              string    `gorm:"column:id_no" json:"id_no"`
	IdType            string    `gorm:"column:id_type" json:"id_type"`
	PatientName       string    `gorm:"column:patient_name" json:"patient_name"`
	Gender            string    `gorm:"column:gender" json:"gender"`
	BornDate          time.Time `gorm:"column:born_date" json:"born_date"`
	DiagnosisSummary  string    `gorm:"column:diagnosis_summary" json:"diagnosis_summary"`
	IsCrf             string    `gorm:"column:is_crf" json:"is_crf"`
	AllergyHistory    string    `gorm:"column:allergy_history" json:"allergy_history"`
	PayMethod         string    `gorm:"column:pay_method" json:"pay_method"`
	DialysisStartTime time.Time `gorm:"column:dialysis_start_time" json:"dialysis_start_time"`
	LocalStartTime    time.Time `gorm:"column:local_start_time" json:"local_start_time"`
	Xgbz              string    `gorm:"column:xgbz" json:"xgbz"`
	CreatedTime       time.Time `gorm:"column:created_time" json:"created_time"`
	UpdateTime        time.Time `gorm:"column:update_time" json:"update_time"`
	Sjscsj            time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj                string    `gorm:"column:mj" json:"mj"`
	Ylyl1             string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2             string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdPatient) TableName() string {
	return "temp_hd_patient"
}

type TempHdPatientOut struct {
	ID              int64     `gorm:"column:id" json:"id"`
	Sn              string    `gorm:"column:sn" json:"sn"`
	HospitalId      string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk       string    `gorm:"column:patient_nk" json:"patient_nk"`
	SequelaeDate    time.Time `gorm:"column:sequelae_date" json:"sequelae_date"`
	SequelaeType    string    `gorm:"column:sequelae_type" json:"sequelae_type"`
	SequelaeSubType string    `gorm:"column:sequelae_sub_type" json:"sequelae_sub_type"`
	ExtReason       string    `gorm:"column:ext_reason" json:"ext_reason"`
	CreateTime      time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj          time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj              string    `gorm:"column:mj" json:"mj"`
	Xgbz            int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1           string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2           string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdPatientOut) TableName() string {
	return "temp_hd_patient_out"
}

type TempHdPs struct {
	ID                int64     `gorm:"column:id" json:"id"`
	HospitalId        string    `gorm:"column:hospital_id" json:"hospital_id"`
	PrescribeId       string    `gorm:"column:prescribe_id" json:"prescribe_id"`
	PatientNk         string    `gorm:"column:patient_nk" json:"patient_nk"`
	MedicalId         string    `gorm:"column:medical_id" json:"medical_id"`
	DrId              string    `gorm:"column:dr_id" json:"dr_id"`
	DialysisFrequency int64     `gorm:"column:dialysis_frequency" json:"dialysis_frequency"`
	FrequencyUnit     int64     `gorm:"column:frequency_unit" json:"frequency_unit"`
	DialysisDuration  float64   `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	Hdf               string    `gorm:"column:hdf" json:"hdf"`
	HdfFrequencyUnit  int64     `gorm:"column:hdf_frequency_unit" json:"hdf_frequency_unit"`
	HdfFrequency      int64     `gorm:"column:hdf_frequency" json:"hdf_frequency"`
	HdfDuration       float64   `gorm:"column:hdf_duration" json:"hdf_duration"`
	Hp                string    `gorm:"column:hp" json:"hp"`
	HpFrequency       int64     `gorm:"column:hp_frequency" json:"hp_frequency"`
	HpFrequencyUnit   int64     `gorm:"column:hp_frequency_unit" json:"hp_frequency_unit"`
	HpDuration        float64   `gorm:"column:hp_duration" json:"hp_duration"`
	K                 float64   `gorm:"column:k" json:"k"`
	Ca                float64   `gorm:"column:ca" json:"ca"`
	Na                float64   `gorm:"column:na" json:"na"`
	Glucose           string    `gorm:"column:glucose" json:"glucose"`
	FluxLevel         string    `gorm:"column:flux_level" json:"flux_level"`
	FluxValue         string    `gorm:"column:flux_value" json:"flux_value"`
	UseType           string    `gorm:"column:use_type" json:"use_type"`
	PrescribeTime     time.Time `gorm:"column:prescribe_time" json:"prescribe_time"`
	CreateTime        time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj            time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj                string    `gorm:"column:mj" json:"mj"`
	Xgbz              int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1             string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2             string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdPs) TableName() string {
	return "temp_hd_ps"
}

type TempHdPsMedicine struct {
	ID             int64     `gorm:"column:id" json:"id"`
	Sn             string    `gorm:"column:sn" json:"sn"`
	PrescribeId    string    `gorm:"column:prescribe_id" json:"prescribe_id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	MedicineTypeId string    `gorm:"column:medicine_type_id" json:"medicine_type_id"`
	MedicineId     string    `gorm:"column:medicine_id" json:"medicine_id"`
	CreatedTime    time.Time `gorm:"column:created_time" json:"created_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdPsMedicine) TableName() string {
	return "temp_hd_ps_medicine"
}

type TempHdInfection struct {
	ID         int64     `gorm:"column:id" json:"id"`
	HospitalId string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk  string    `gorm:"column:patient_nk" json:"patient_nk"`
	Hbv        string    `gorm:"column:hbv" json:"hbv"`
	Hcv        string    `gorm:"column:hcv" json:"hcv"`
	Rpr        string    `gorm:"column:rpr" json:"rpr"`
	Hiv        string    `gorm:"column:hiv" json:"hiv"`
	Hbsag      string    `gorm:"column:hbsag" json:"hbsag"`
	Hbs        string    `gorm:"column:hbs" json:"hbs"`
	Hbeag      string    `gorm:"column:hbeag" json:"hbeag"`
	Hbe        string    `gorm:"column:hbe" json:"hbe"`
	Hbc        string    `gorm:"column:hbc" json:"hbc"`
	CheckDate  time.Time `gorm:"column:check_date" json:"check_date"`
	CreateTime time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj     time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj         string    `gorm:"column:mj" json:"mj"`
	Xgbz       int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1      string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2      string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdInfection) TableName() string {
	return "temp_hd_infection"
}

type TempHdInhospital struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	MedicalNo      string    `gorm:"column:medical_no" json:"medical_no"`
	AdmissionTime  time.Time `gorm:"column:admission_time" json:"admission_time"`
	AdmissionCause string    `gorm:"column:admission_cause" json:"admission_cause"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdInhospital) TableName() string {
	return "temp_hd_inhospital"
}

type TempHdOuthospital struct {
	ID            int64     `gorm:"column:id" json:"id"`
	HospitalId    string    `gorm:"column:hospital_id" json:"hospital_id"`
	MedicalNo     string    `gorm:"column:medical_no" json:"medical_no"`
	DischargeDate time.Time `gorm:"column:discharge_date" json:"discharge_date"`
	CreateTime    time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj        time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj            string    `gorm:"column:mj" json:"mj"`
	Xgbz          int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1         string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2         string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdOuthospital) TableName() string {
	return "temp_hd_outhospital"
}

type DataUpload struct {
	ID           int64 `gorm:"column:id" json:"id"`
	ModuleType   int64 `gorm:"column:module_type" json:"module_type"`
	OrgId        int64 `gorm:"column:org_id" json:"org_id"`
	UploadDate   int64 `gorm:"column:upload_date" json:"upload_date"`
	UploadStatus int64 `gorm:"column:upload_status" json:"upload_status"`
	ReturnStatus int64 `gorm:"column:return_status" json:"return_status"`
	UploadType   int64 `gorm:"column:upload_type" json:"upload_type"`
}

func (DataUpload) TableName() string {
	return "data_upload"
}

type DataUploadConfig struct {
	ID             int64  `gorm:"column:id" json:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	ProvinceId     int64  `gorm:"column:province_id" json:"province_id"`
	CityId         int64  `gorm:"column:city_id" json:"city_id"`
	GatewayAddress string `gorm:"column:gateway_address" json:"gateway_address"`
	AppId          string `gorm:"column:app_id" json:"app_id"`
	Key            string `gorm:"column:key" json:"key"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreateTime     int64  `gorm:"column:create_time" json:"create_time"`
	ModifyTime     int64  `gorm:"column:modify_time" json:"modify_time"`
	TimeQuantum    int64  `gorm:"column:time_quantum" json:"time_quantum"`
}

func (DataUploadConfig) TableName() string {
	return "data_upload_config"
}

type TempHdShift struct {
	ID             int64     `gorm:"column:id" json:"id"`
	PsId           string    `gorm:"column:ps_id" json:"ps_id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk      string    `gorm:"column:patient_nk" json:"patient_nk"`
	ScheduleDate   time.Time `gorm:"column:schedule_date" json:"schedule_date"`
	ShiftType      string    `gorm:"column:shift_type" json:"shift_type"`
	SickbedNo      string    `gorm:"column:sickbed_no" json:"sickbed_no"`
	ScheduleStatus string    `gorm:"column:schedule_status" json:"schedule_status"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdShift) TableName() string {
	return "temp_hd_shift"
}

type TempHdDoctorsAdvice struct {
	ID               int64     `gorm:"column:id" json:"id"`
	MedicalOrDerId   string    `gorm:"column:medical_or_der_id" json:"medical_or_der_id"`
	HospitalId       string    `gorm:"column:hospital_id" json:"hospital_id"`
	DialysisId       string    `gorm:"column:dialysis_id" json:"dialysis_id"`
	OrderType        string    `gorm:"column:order_type" json:"order_type"`
	RrtType          string    `gorm:"column:rrt_type" json:"rrt_type"`
	PatientNk        string    `gorm:"column:patient_nk" json:"patient_nk"`
	DialysisDuration int64     `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	BloodVol         int64     `gorm:"column:blood_vol" json:"blood_vol"`
	DryWeigh         float64   `gorm:"column:dry_weigh" json:"dry_weigh"`
	CreateTime       time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj           time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj               string    `gorm:"column:mj" json:"mj"`
	Xgbz             int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1            string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2            string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdDoctorsAdvice) TableName() string {
	return "temp_hd_doctors_advice"
}

type TempHdDialysis struct {
	ID                    int64     `gorm:"column:id" json:"id"`
	DialysisId            string    `gorm:"column:dialysis_id" json:"dialysis_id"`
	HospitalId            string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk             string    `gorm:"column:patient_nk" json:"patient_nk"`
	PsId                  string    `gorm:"column:ps_id" json:"ps_id"`
	DialysisDate          time.Time `gorm:"column:dialysis_date" json:"dialysis_date"`
	SickbedNo             string    `gorm:"column:sickbed_no" json:"sickbed_no"`
	DivisionId            string    `gorm:"column:division_id" json:"division_id"`
	EquipmentId           string    `gorm:"column:equipment_id" json:"equipment_id"`
	MixDalysis            string    `gorm:"column:mix_dalysis" json:"mix_dalysis"`
	ActualufMl            int64     `gorm:"column:actualuf_ml" json:"actualuf_ml"`
	Ufv                   int64     `gorm:"column:ufv" json:"ufv"`
	TotalReplace          int64     `gorm:"column:total_replace" json:"total_replace"`
	TotalTreatDuration    int64     `gorm:"column:total_treat_duration" json:"total_treat_duration"`
	IsHospitalozation     string    `gorm:"column:is_hospitalozation" json:"is_hospitalozation"`
	IsEmergency           string    `gorm:"column:is_emergency" json:"is_emergency"`
	EmergencyReason       string    `gorm:"column:emergency_reason" json:"emergency_reason"`
	IsPerioperativePeriod string    `gorm:"column:is_perioperative_period" json:"is_perioperative_period"`
	BeforeSbp             int64     `gorm:"column:before_sbp" json:"before_sbp"`
	BeforeDbp             int64     `gorm:"column:before_dbp" json:"before_dbp"`
	AfterSbp              int64     `gorm:"column:after_sbp" json:"after_sbp"`
	AfterDbp              int64     `gorm:"column:after_dbp" json:"after_dbp"`
	BeforeWeight          float64   `gorm:"column:before_weight" json:"before_weight"`
	AfterWeight           float64   `gorm:"column:after_weight" json:"after_weight"`
	AccessId              string    `gorm:"column:access_id" json:"access_id"`
	DialyzerId            string    `gorm:"column:dialyzer_id" json:"dialyzer_id"`
	Ktv                   float64   `gorm:"column:ktv" json:"ktv"`
	StartTime             time.Time `gorm:"column:start_time" json:"start_time"`
	EndTime               time.Time `gorm:"column:end_time" json:"end_time"`
	CreateTime            time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj                time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj                    string    `gorm:"column:mj" json:"mj"`
	Xgbz                  int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1                 string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2                 string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdDialysis) TableName() string {
	return "temp_hd_dialysis"
}

type TempHdMiddle struct {
	ID             int64     `gorm:"column:id" json:"id"`
	Sn             string    `gorm:"column:sn" json:"sn"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk      string    `gorm:"column:patient_nk" json:"patient_nk"`
	DialysisId     string    `gorm:"column:dialysis_id" json:"dialysis_id"`
	MonitorTime    time.Time `gorm:"column:monitor_time" json:"monitor_time"`
	Sbp            int64     `gorm:"column:sbp" json:"sbp"`
	Dbp            int64     `gorm:"column:dbp" json:"dbp"`
	P              int64     `gorm:"column:p" json:"p"`
	Ns             int64     `gorm:"column:ns" json:"ns"`
	Qb             int64     `gorm:"column:qb" json:"qb"`
	Ap             int64     `gorm:"column:ap" json:"ap"`
	Vp             int64     `gorm:"column:vp" json:"vp"`
	Tmp            int64     `gorm:"column:tmp" json:"tmp"`
	Ufr            int64     `gorm:"column:ufr" json:"ufr"`
	Ufv            int64     `gorm:"column:ufv" json:"ufv"`
	OnLine         int64     `gorm:"column:on_line" json:"on_line"`
	Spo2           float64   `gorm:"column:spo2" json:"spo2"`
	R              int64     `gorm:"column:r" json:"r"`
	OtherSituation string    `gorm:"column:other_situation" json:"other_situation"`
	Nurse          string    `gorm:"column:nurse" json:"nurse"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdMiddle) TableName() string {
	return "temp_hd_middle"
}

type TempHdDivision struct {
	ID           int64     `gorm:"column:id" json:"id"`
	DivisionId   string    `gorm:"column:division_id" json:"division_id"`
	HospitalId   string    `gorm:"column:hospital_id" json:"hospital_id"`
	DevisionName string    `gorm:"column:devision_name" json:"devision_name"`
	UpdateFlag   string    `gorm:"column:update_flag" json:"update_flag"`
	UpdateTime   time.Time `gorm:"column:update_time" json:"update_time"`
	CreateTime   time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj       time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj           string    `gorm:"column:mj" json:"mj"`
	Xgbz         int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1        string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2        string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdDivision) TableName() string {
	return "temp_hd_division"
}
